import React, {Fragment, useContext, useEffect, useState} from "react";
import {Button, Form, List, Picker, Space, Switch} from "antd-mobile";
import Cookies from "js-cookie";
import {columnSortConstant} from "./columnSortConstant";
import {MyRootContext, UPDATE_SEARCH} from "../../components/MyRootContext";

export function PersonalCenter() {
    const [columnSort, setColumnSort] = useState(['expectedStartTime', 'ASC'])
    const [parentCheck, setParentCheck] = useState(true)
    const webUrl = <Fragment>网站:<a>http://www.hauruyu.com</a></Fragment>;
    const {state, dispatch} = useContext(MyRootContext);
    useEffect(() => {
        let setting = localStorage.getItem('huayu-todo-setting');
        if (setting) {
            setColumnSort(JSON.parse(setting).columnSort);
            setParentCheck(JSON.parse(setting).parentCheck);
            dispatch({
                type: UPDATE_SEARCH, search: {
                    ...state.search,
                    sortList: [{
                        "property": JSON.parse(setting).columnSort[0],
                        "direction": JSON.parse(setting).columnSort[1]
                    }],
                }
            });
        } else {
            localStorage.setItem('huayu-todo-setting', JSON.stringify({
                columnSort: columnSort,
                parentCheck: parentCheck,
            }));
            dispatch({
                type: UPDATE_SEARCH, search: {
                    ...state.search,
                    sortList: [{
                        "property": columnSort[0],
                        "direction": columnSort[1]
                    }],
                }
            });
        }


    }, [])
    return <div>
        <List header={webUrl}>
            {/*<List.Item extra={<Switch checked={parentCheck} onChange={*/}
            {/*    (checked) => {*/}
            {/*        let setting = localStorage.getItem('huayu-todo-setting');*/}
            {/*        if (setting) {*/}
            {/*            let parseObj = JSON.parse(setting);*/}
            {/*            parseObj.parentCheck = checked*/}
            {/*            setting = JSON.stringify(parseObj)*/}
            {/*            setParentCheck(checked);*/}
            {/*        } else {*/}
            {/*            setting = JSON.stringify({parentCheck: checked})*/}
            {/*        }*/}
            {/*        localStorage.setItem('huayu-todo-setting', setting);*/}
            {/*    }*/}
            {/*}/>}>新建任务时父任务只展示未完成任务</List.Item>*/}
            <Picker
                columns={columnSortConstant}
                value={columnSort}
                onConfirm={(val, extend) => {
                    console.log({val})
                    let setting = localStorage.getItem('huayu-todo-setting');
                    if (setting) {
                        let parseObj = JSON.parse(setting);
                        parseObj.columnSort = val
                        setting = JSON.stringify(parseObj)
                        setColumnSort(val);
                    } else {
                        setting = JSON.stringify({columnSort: val})
                    }
                    console.log({setting})
                    dispatch({
                        type: UPDATE_SEARCH, search: {
                            ...state.search,
                            sortList: [{"property": val[0], "direction": val[1]}],
                        }
                    });
                    localStorage.setItem('huayu-todo-setting', setting);
                }}>
                {(items, {open}) => {
                    return (
                        // <Space align='end'>
                        <List.Item onClick={open} extra={items.every(item => item === null)
                            ? '未选择'
                            : items.map(item => item?.label ?? '未选择').join(' - ')}>
                            任务排序方式:
                        </List.Item>
                        // </Space>
                    )
                }}
            </Picker>
        </List>
        <Button style={{width: '100%'}} color={"danger"} onClick={() => {
            localStorage.removeItem('platform-security');
            Cookies.remove('platform-security');
            window.location.href = "http:///www.huaruyu.com/login"
        }}>退出登录</Button>
    </div>
}